Bug 499975 - Review Request: guitarix - Mono amplifier to JACK
Review Request: guitarix - Mono amplifier to JACK
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Igor Jurišković
Fedora Extras Quality Assurance
:
Depends On: 499306 499323
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-09 14:00 EDT by Orcan Ogetbil
Modified: 2009-06-15 22:42 EDT (History)
3 users (show)

See Also:
Fixed In Version: 0.04.5-1.fc11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-06-15 21:59:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
juriskovic.igor: fedora‑review+
tibbs: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Orcan Ogetbil 2009-05-09 14:00:56 EDT
Spec URL: http://oget.fedorapeople.org/review/guitarix.spec
SRPM URL: http://oget.fedorapeople.org/review/guitarix-0.04.3-1.fc10.src.rpm
Description: 
guitarix is a simple mono amplifier to JACK (Jack Audio Connection Kit) with
one input and two outputs. It is designed to get nice trash/metall/rock/blues
guitar sounds. Controls for bass, treble, gain, compressor, preamp, balance,
distortion, freeverb, crybaby(wah) and echo are available. A fixed resonator
will be used when distortion is disabled. For the 'pressure' in the sound you
can use the feedback and feedforward sliders.

guitarix includes an experimental tuner and a JACK midi output port with 3
channels. They will be fed by a mix from a pitch tracker and a beat detector.
You can pitch the octave (2 up or down), choose the midi channel, the program,
the velocity and the sensitiviy, which means how fast the note will read after
the beat detector emits a signal. Values can be set for the beat detector for
all channels.


rpmlint is silent.

koji rawhide build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=1345133
Comment 1 Orcan Ogetbil 2009-05-21 13:43:14 EDT
Spec URL: http://oget.fedorapeople.org/review/guitarix.spec
SRPM URL: http://oget.fedorapeople.org/review/guitarix-0.04.4-1.fc10.src.rpm

Changelog: 0.04.4-1
- Update to 0.04.4
- Drop upstreamed patches
Comment 2 Orcan Ogetbil 2009-05-26 16:54:03 EDT
Spec URL: http://oget.fedorapeople.org/review/guitarix.spec
SRPM URL: http://oget.fedorapeople.org/review/guitarix-0.04.5-1.fc10.src.rpm

Changelog: 0.04.5-1
- Update to 0.04.5
Comment 3 Igor Jurišković 2009-05-27 07:47:20 EDT
Hi.

I'll take this one.
Comment 4 Igor Jurišković 2009-05-27 07:56:11 EDT
License*
------------------------------------------------------
COPYING file says GPLv2 or higher. You should change license to mentioned one. By the way you could contact upstream and tell him to include license in header of source files.
------------------------------------------------------
Comment 5 Orcan Ogetbil 2009-05-27 12:49:35 EDT
Tank you. The licensing guideline says

"If neither the source, nor the upstream composed documentation says anything about the license version, then it could be under _ANY_ version of the GPL. The version listed in COPYING is irrelevant from this perspective. Technically it could be under any license, but if all we have to go by is COPYING, we'll use COPYING to imply that it is under the GPL, all versions (GPL+)."

That's why I used GPL+. Please see case #4 at
   https://fedoraproject.org/wiki/Licensing/FAQ

I already asked Hermann to include the GPL version in the source headers a while ago (around guitarix-0.04-2) but he didn't do it. I guess we will have to live with what we have.
Comment 6 Igor Jurišković 2009-05-27 16:32:39 EDT
MUST: rpmlint must be run on every package. The output should be posted in the review. YES

MUST: The package must be named according to the Package Naming Guidelines. YES

MUST: The spec file name must match the base package %{name}, in the format %{name}.spec unless your package has an exemption. YES

MUST: The package must meet the Packaging Guidelines. YES

MUST: The package must be licensed with a Fedora approved license and meet the Licensing Guidelines. YES

MUST: The License field in the package spec file must match the actual license. YES

MUST: If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package must be included in %doc. YES

MUST: The spec file must be written in American English. YES

MUST: The spec file for the package MUST be legible. YES

MUST: The sources used to build the package must match the upstream source, as provided in the spec URL. Reviewers should use md5sum for this task. If no upstream URL can be specified for this package, please see the Source URL Guidelines for how to deal with this. YES

MUST: The package MUST successfully compile and build into binary rpms on at least one primary architecture. YES

MUST: If the package does not successfully compile, build or work on an architecture, then those architectures should be listed in the spec in ExcludeArch. Each architecture listed in ExcludeArch MUST have a bug filed in bugzilla, describing the reason that the package does not compile/build/work on that architecture. The bug number MUST be placed in a comment, next to the corresponding ExcludeArch line. N/A

MUST: All build dependencies must be listed in BuildRequires, except for any that are listed in the exceptions section of the Packaging Guidelines ; inclusion of those as BuildRequires is optional. Apply common sense. YES

MUST: The spec file MUST handle locales properly. This is done by using the %find_lang macro. Using %{_datadir}/locale/* is strictly forbidden. N/A

MUST: Every binary RPM package (or subpackage) which stores shared library files (not just symlinks) in any of the dynamic linker's default paths, must call ldconfig in %post and %postun. N/A

MUST: If the package is designed to be relocatable, the packager must state this fact in the request for review, along with the rationalization for relocation of that specific package. Without this, use of Prefix: /usr is considered a blocker. N/A

MUST: A package must own all directories that it creates. If it does not create a directory that it uses, then it should require a package which does create that directory. YES

MUST: A Fedora package must not list a file more than once in the spec file's %files listings. YES

MUST: Permissions on files must be set properly. Executables should be set with executable permissions, for example. Every %files section must include a %defattr(...) line. YES

MUST: Each package must have a %clean section, which contains rm -rf %{buildroot} (or $RPM_BUILD_ROOT). 

MUST: Each package must consistently use macros. YES

MUST: The package must contain code, or permissable content. YES

MUST: Large documentation files must go in a -doc subpackage. (The definition of large is left up to the packager's best judgement, but is not restricted to size. Large can refer to either size or quantity). N/A

MUST: If a package includes something as %doc, it must not affect the runtime of the application. To summarize: If it is in %doc, the program must run properly if it is not present. YES

MUST: Header files must be in a -devel package. N/A

MUST: Static libraries must be in a -static package. N/A

MUST: Packages containing pkgconfig(.pc) files must 'Requires: pkgconfig' (for directory ownership and usability). N/A

MUST: If a package contains library files with a suffix (e.g. libfoo.so.1.1), then library files that end in .so (without suffix) must go in a -devel package. N/A

MUST: In the vast majority of cases, devel packages must require the base package using a fully versioned dependency: Requires: %{name} = %{version}-%{release} N/A

MUST: Packages must NOT contain any .la libtool archives, these must be removed in the spec if they are built. N/A

MUST: Packages containing GUI applications must include a %{name}.desktop file, and that file must be properly installed with desktop-file-install in the %install section. If you feel that your packaged GUI application does not need a .desktop file, you must put a comment in the spec file with your explanation. YES

MUST: Packages must not own files or directories already owned by other packages. The rule of thumb here is that the first package to be installed should own the files or directories that other packages may rely upon. This means, for example, that no package in Fedora should ever share ownership with any of the files or directories owned by the filesystem or man package. If you feel that you have a good reason to own a file or directory that another package owns, then please present that at package review time. YES

MUST: At the beginning of %install, each package MUST run rm -rf %{buildroot} (or $RPM_BUILD_ROOT). YES

MUST: All filenames in rpm packages must be valid UTF-8. YES


Don't see any blockers.
 _________________________________
( Package guitarix is APPROVED by )
( igjurisk.                       )
 ---------------------------------
        o   ^__^
         o  (oo)\_______
            (__)\       )\/\
                ||----w |
                ||     ||
Comment 7 Orcan Ogetbil 2009-05-28 21:23:03 EDT
Thank you Igor, for the review!

New Package CVS Request
=======================
Package Name: guitarix
Short Description: Mono amplifier to JACK
Owners: oget
Branches: F-9 F-10 F-11
InitialCC:
Comment 8 Jason Tibbitts 2009-05-29 00:52:22 EDT
CVS done.
Comment 9 Fedora Update System 2009-05-29 02:03:23 EDT
guitarix-0.04.5-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/guitarix-0.04.5-1.fc11
Comment 10 Fedora Update System 2009-05-29 02:04:18 EDT
guitarix-0.04.5-1.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/guitarix-0.04.5-1.fc10
Comment 11 Fedora Update System 2009-05-29 02:05:09 EDT
guitarix-0.04.5-1.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/guitarix-0.04.5-1.fc9
Comment 12 Fedora Update System 2009-05-29 22:30:47 EDT
guitarix-0.04.5-1.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update guitarix'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-5671
Comment 13 Fedora Update System 2009-05-29 22:36:36 EDT
guitarix-0.04.5-1.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update guitarix'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-5699
Comment 14 Fedora Update System 2009-05-29 22:39:16 EDT
guitarix-0.04.5-1.fc9 has been pushed to the Fedora 9 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing-newkey update guitarix'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F9/FEDORA-2009-5707
Comment 15 Fedora Update System 2009-06-15 21:59:41 EDT
guitarix-0.04.5-1.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 16 Fedora Update System 2009-06-15 22:24:09 EDT
guitarix-0.04.5-1.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 17 Fedora Update System 2009-06-15 22:42:18 EDT
guitarix-0.04.5-1.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.